---
title: Thesis outline
---

# themes

worlding & software
world building & situated software
documentation as a surface for world building

worlding	world building
		aesthetic approach
		a way to create loose yet coherent narrations
		
software	situated software
		functional yet simbolic
		embedded in social contexts



reference
https://ecotones.caveat.be/osp.html


could software documentation be a surface for world-building?
	world building and software? 
		(exploration of coding contingencies)
		


























what can practices of world building bring into the making of software?
what are the relations between aesthetic and functionality?
what could software benefit from process of world building?

0. coding contingencies
1. situated software and world building
2. documentation as an interface



could software documentation be a surface for world building?

    participation in world building

sub
relations between software and world building?
writing documentation as a publishing practice? (more than technical writing, more than learning process, more than autorship)



-   software is not an object in a vacuum
-   it is embedded in contexts
-   that project their narrations on the code
-   technical, economical, cultural, creative, political
-   these narrations orientate software in the world
-   highlight certain aspects, hide others

-   how to face these narrations

-   sharing knowledge about software is sharing context

i.

I want to write about worlding around software.

How do you chose a particular programming language, a coding style, a development environment and ecosystem, an infrastructure where to run the code, and so on? These are not just technical choices, but rather coding contingencies.

These contingencies are situated in precise contexts. Programming then is not just sharing code, but sharing context. It's providing a point of view and a perspective to look at the world, before attempting to get some grip onto it with a script.

More specifically, I would like to focus on software documentation as a surface for world-building.

ii.

semiotic triangle of graduation

The topological way to think and write (Law, Mol 2002) the thesis is to be found somewhere around:

    the list form used by LW in the Tractatus,
    the branching and merging pathways of version control systems, and
    the content aggregation approach of bookmarking tools such as are.na

At the moment I can see it as a feed with a tagging system. The plan is to gather contents and curate them in a non-linear fashion, so instead of following the index as a series of steps, imagine to read it as a coral-like creature, with materials forking and interfering with each other.

These contents will be a mix of diverse registry, from the essayistic to the technical to the anedoctic, in order to have several layers of accessibility. The consistency of the discourse will vary: some parts will be more narrative and some other more scattered.

iii.

    Coding Contingencies
        Context of software studies
        Documentation as an interface between the code, the user, the developer, and the world.

    Documentation as worlding

        Excerpts from API Worlding, versioned essay from T. Dingsun.

        When there is documentation
            Language, modes of address.
            Who writes? Who reads?

        And when there is not
            A space to reactivate/reclaim/reorientate code?
            Ways of writing, economies of knowledges
            Practice proposals

        Worlding through documentations mixtape
            Excerpts from documentations that world
            Individuate approaches and angles

    Software as care

        Cases study articulated through the points emerged from 2.4.2
            Soupboat
            Hundred Rabbits, Tools ecosystem
            Permacomputing Wiki

        A list of devices to articulate software documentation as a form of care (project overview)

Reference

    100r.co. (n.d.). 100R — tools ecosystem. [online] Available at: https://100r.co/site/tools_ecosystem.html [Accessed 18 Nov. 2022].

    Law, J. and Mol, A. (2002). Complexities social studies of knowledge practices. Durham: Duke University Press.

‌- permacomputing.net. (n.d.). permacomputing\
. [online] Available at: https://permacomputing.net/ [Accessed 18 Nov. 2022]
.








































